Skip to content

Deletes one completion eligibility rule owned by an Outcome.

DELETE
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/outcomes/{outcomeId}/completion-eligibility-rules/{ruleId}
curl --request DELETE \
--url https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedRuleRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example" }'
taskDefinitionId
required
string
outcomeId
required
string
ruleId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

object
ExpectedDefinitionRowVersion
string format: uuid
ExpectedOutcomeRowVersion
string format: uuid
ExpectedRuleRowVersion
string format: uuid
OperationId
string
nullable
Examplegenerated
{
"ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"ExpectedRuleRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"OperationId": "example"
}

OK

Media typeapplication/json
object
Data
object
TaskDefinitionId
string
nullable
OutcomeId
string
nullable
RuleId
string
nullable
TaskDefinitionRowVersion
string format: uuid
OutcomeRowVersion
string format: uuid
Replayed
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}